rio_device_has_destid
Prev | Enumeration and Discovery | Next

## Name

rio_device_has_destid — Test if a device contains a destination ID register

## Synopsis

`int rio_device_has_destid (` | struct rio_mport * | port,
| int | src_ops,
| int | dst_ops`)`;

## Arguments

`port`

  Master port to issue transaction

`src_ops`

  RIO device source operations

`dst_ops`

  RIO device destination operations

## Description

Checks the provided `src_ops` and `dst_ops` for the necessary transaction capabilities that indicate whether or not a device will implement a destination ID register. Returns 1 if true or 0 if false.

Prev | Up | Next
rio_enum_host | Home | rio_release_dev